This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 976889 - Various suricata
Various suricata
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: suricata (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steve Grubb
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 14:59 EDT by Dominick Grift
Modified: 2014-02-12 03:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-12 03:32:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominick Grift 2013-06-21 14:59:45 EDT
Description of problem:

1. typo in /usr/share/doc/suricata-1.4.1/fedora.notes

- tar -xz -C /etc/suricata/rules/emerging --strip-components=1 -f emerging.rules.targ.gz
+ tar -xz -C /etc/suricata/rules/emerging --strip-components=1 -f emerging.rules.tar.gz

2. /run/suricata directory not installed by package and no systemd-tmpfiles configuration present:

# /usr/bin/suricatasc
Unable to connect to socket /var/run/suricata/suricata-command.socket: [Errno 2] No such file or directory

3. initial suricata SELinux policy:

policy_module(suricata, 1.0.0)

########################################
#
# Declarations
#

type suricatad_t;
type suricatad_exec_t;
init_daemon_domain(suricatad_t, suricatad_exec_t)

type suricatad_unit_file_t;
systemd_unit_file(suricatad_unit_file_t)

type suricatad_conf_t;
files_config_file(suricatad_conf_t)

type suricatad_log_t;
logging_log_file(suricatad_log_t)

########################################
#
# Local policy
#

allow suricatad_t self:capability net_raw;
allow suricatad_t self:process { setsched execmem };
allow suricatad_t self:packet_socket create_socket_perms;
allow suricatad_t self:udp_socket create_socket_perms;

read_files_pattern(suricatad_t, suricatad_conf_t, suricatad_conf_t)

allow suricatad_t suricatad_log_t:dir { setattr_dir_perms add_entry_dir_perms };
allow suricatad_t suricatad_log_t:file { read_file_perms create_file_perms setattr_file_perms append_file_perms };

kernel_read_network_state(suricatad_t)
kernel_read_system_state(suricatad_t)

dev_list_sysfs(suricatad_t)
dev_read_urand(suricatad_t)

files_list_tmp(suricatad_t)

auth_read_passwd(suricatad_t)
## <summary>Intrusion Detection and Prevention Engine.</summary>

########################################
## <summary>
##	All of the rules required to
##	administrate an suricata environment.
## </summary>
## <param name="domain">
##	<summary>
##	Domain allowed access.
##	</summary>
## <rolecap/>
#
interface(`suricata_admin',`
	gen_require(`
		type suricatad_t, suricatad_unit_file_t, suricatad_log_t;
		type suricatad_conf_t;
	')

	allow $1 suricatad_t_t:process { ptrace signal_perms };
	ps_process_pattern($1, suricatad_t)

	systemd_exec_systemctl($1)
	admin_pattern($1, suricatad_unit_file_t)
	allow $1 suricatad_unit_file_t:service all_service_perms;

	files_search_etc($1)
	admin_pattern($1, suricatad_conf_t)

	logging_search_logs($1)
	admin_pattern($1, suricatad_log_t)
')
/etc/suricata(/.*)?	gen_context(system_u:object_r:suricatad_conf_t,s0)
/etc/sysconfig/suricata	--	gen_context(system_u:object_r:suricatad_conf_t,s0)
/usr/lib/systemd/system/suricata\.service	--	gen_context(system_u:object_r:suricatad_unit_file_t,s0)
/usr/sbin/suricata	--	gen_context(system_u:object_r:suricatad_exec_t,s0)
/var/log/suricata(/.*)?	gen_context(system_u:object_r:suricatad_log_t,s0)

Version-Release number of selected component (if applicable):

suricata-1.4.1-1.fc18.x86_64
Comment 1 Dominick Grift 2013-06-21 15:07:34 EDT
Also: suricata currently runs as root by default.

https://redmine.openinfosecfoundation.org/projects/suricata/wiki/Dropping_Privileges_After_Startup

Indicates that this may not have to be this way.
Comment 2 Fedora End Of Life 2013-12-21 09:05:54 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 16:54:33 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Steve Grubb 2014-02-05 17:17:11 EST
I think most items reported except the uid were fixed. It might be worth a review to see how its looking these days. Thanks.
Comment 5 Dominick Grift 2014-02-12 03:32:55 EST
Yeap thanks sgrubb this is pretty much fixed i believe

we do still need the selinux security policy implemented but i should take that up with mgrepl

And yes would be nice if we could make it drop privileges by default but you are aware of it so that is enough to satisfy me.

Closing this

Note You need to log in before you can comment on or make changes to this bug.